package org.apache.lucene.timeslots;

import org.apache.lucene.analysis.TokenStream;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.WhitespaceTokenizer;
//import org.apache.lucene.analysis.LowerCaseFilter;

import org.apache.lucene.timeslots.TSTokenFilter;

import java.io.Reader;

public class TSAnalyzer extends Analyzer 
{
	public TokenStream tokenStream(String fieldName, Reader reader) {
		TokenStream result = new WhitespaceTokenizer(reader);
//		result = new LowerCaseFilter(result);
		result = new TSTokenFilter(result);
		return result;
	}
}

